SmartMemory
GET
/memory/vector/items/{item_id}

One memory's vector row and neighbours. Not visible to the caller is 404, never 403.

Path Parameters

item_id*Item Id

Query Parameters

top_k?Top K
collection?Collection
include_embedding?Include Embedding

Response Body

application/json

application/json

curl -X GET "https://example.com/memory/vector/items/string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}